Skip to main content
GET
/
facebook_comments
Get a list of facebook comments
curl --request GET \
  --url https://community.dashsocial.com/facebook_comments \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "facebook_parent_comment_id": "<string>",
      "is_owned": true,
      "text": "<string>",
      "assignee_id": 123,
      "attachment": {},
      "author_profile_picture_url": null,
      "author_username": null,
      "brand_id": 123,
      "brand_user_reply": {
        "brand_id": 123,
        "created_at": "2023-11-07T05:31:56Z",
        "id": 123,
        "resource_id": 123,
        "updated_at": "2023-11-07T05:31:56Z",
        "user_id": 123
      },
      "created_at": "2023-11-07T05:31:56Z",
      "facebook_comment_id": "<string>",
      "facebook_profile_picture_url": null,
      "facebook_username": null,
      "id": 123,
      "is_ad_comment": true,
      "is_archived": true,
      "is_author_blocked": true,
      "is_follow_up": true,
      "is_hidden": true,
      "is_read": true,
      "media_id": 123,
      "post_is_carousel": true,
      "post_media": {
        "comment_count": 123,
        "image_sizes": {
          "default": "<string>"
        },
        "media_comment_sentiment": {
          "negative_count": 123,
          "neutral_count": 123,
          "positive_count": 123
        },
        "media_type": "<string>",
        "source_created_at": "2023-11-07T05:31:56Z",
        "caption": "<string>",
        "likes": 123,
        "user_avatar": "<string>",
        "user_handle": "<string>"
      },
      "post_thumbnail_url": "<string>",
      "replies": [
        {
          "facebook_parent_comment_id": "<string>",
          "is_owned": true,
          "text": "<string>",
          "assignee_id": 123,
          "attachment": {},
          "author_profile_picture_url": null,
          "author_username": null,
          "brand_id": 123,
          "brand_user_reply": {
            "brand_id": 123,
            "created_at": "2023-11-07T05:31:56Z",
            "id": 123,
            "resource_id": 123,
            "updated_at": "2023-11-07T05:31:56Z",
            "user_id": 123
          },
          "created_at": "2023-11-07T05:31:56Z",
          "facebook_comment_id": "<string>",
          "facebook_profile_picture_url": null,
          "facebook_username": null,
          "id": 123,
          "is_ad_comment": true,
          "is_archived": true,
          "is_author_blocked": true,
          "is_follow_up": true,
          "is_hidden": true,
          "is_read": true,
          "media_id": 123,
          "post_is_carousel": true,
          "post_media": {
            "comment_count": 123,
            "image_sizes": {
              "default": "<string>"
            },
            "media_comment_sentiment": {
              "negative_count": 123,
              "neutral_count": 123,
              "positive_count": 123
            },
            "media_type": "<string>",
            "source_created_at": "2023-11-07T05:31:56Z",
            "caption": "<string>",
            "likes": 123,
            "user_avatar": "<string>",
            "user_handle": "<string>"
          },
          "post_thumbnail_url": "<string>",
          "search_result_snippet": "<string>",
          "sentiment": {
            "is_negative": true,
            "is_neutral": true,
            "is_positive": true,
            "is_question": true
          },
          "source_updated_at": "2023-11-07T05:31:56Z",
          "tag_ids": [
            123
          ],
          "tickets": [
            {
              "label": "<string>",
              "source_created_at": "<string>",
              "source_id": "<string>",
              "source_updated_at": "<string>",
              "status": "<string>",
              "message_id": 123
            }
          ],
          "updated_at": "2023-11-07T05:31:56Z"
        }
      ],
      "search_result_snippet": "<string>",
      "sentiment": {
        "is_negative": true,
        "is_neutral": true,
        "is_positive": true,
        "is_question": true
      },
      "source_updated_at": "2023-11-07T05:31:56Z",
      "tag_ids": [
        123
      ],
      "tickets": [
        {
          "label": "<string>",
          "source_created_at": "<string>",
          "source_id": "<string>",
          "source_updated_at": "<string>",
          "status": "<string>",
          "message_id": 123
        }
      ],
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ],
  "paging": {
    "count": 123,
    "next": "<string>",
    "previous": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://developer.dashsocial.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

media_id
integer
required

The ID of the media the comment was made on.

brand_id
integer
required

The brand ID of the comment.

limit
integer
default:100

Number of results to return in a single response.

offset
integer
default:0

The offset of the first result to be returned.

Response

OK

data
object[]
read-only

A list of facebook comments with replies.

paging
object

Pagination Data